aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2015-08-02 16:12:58 -0500
committerMatthias Maier <tamiko@gentoo.org>2015-08-02 16:12:58 -0500
commitd10b617c0e0f3b4954b083f62f4a656cdf45193a (patch)
tree037870578457c7864a026bfd6044d2adede5e51e /sci-libs/dealii
parentsci-physics/paw: move to the portage tree (diff)
downloadsci-d10b617c0e0f3b4954b083f62f4a656cdf45193a.tar.gz
sci-d10b617c0e0f3b4954b083f62f4a656cdf45193a.tar.bz2
sci-d10b617c0e0f3b4954b083f62f4a656cdf45193a.zip
sci-libs/dealii - version bump
Package-Manager: portage-2.2.20
Diffstat (limited to 'sci-libs/dealii')
-rw-r--r--sci-libs/dealii/ChangeLog5
-rw-r--r--sci-libs/dealii/Manifest2
-rw-r--r--sci-libs/dealii/dealii-8.3.0.ebuild123
3 files changed, 130 insertions, 0 deletions
diff --git a/sci-libs/dealii/ChangeLog b/sci-libs/dealii/ChangeLog
index 33cdaaa4b..7bd82a856 100644
--- a/sci-libs/dealii/ChangeLog
+++ b/sci-libs/dealii/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*dealii-8.3.0 (02 Aug 2015)
+
+ 02 Aug 2015; Matthias Maier <tamiko@gentoo.org> +dealii-8.3.0.ebuild:
+ version bump
+
03 Jul 2015; Matthias Maier <tamiko@gentoo.org> dealii-9999.ebuild:
sci-libs/dealii - change the recorded version and soversion in the live build
diff --git a/sci-libs/dealii/Manifest b/sci-libs/dealii/Manifest
index bb7faf0be..ccae8dd31 100644
--- a/sci-libs/dealii/Manifest
+++ b/sci-libs/dealii/Manifest
@@ -4,3 +4,5 @@ DIST dealii-8.2.0-offline_documentation.tar.gz 100812912 SHA256 90097f935731c418
DIST dealii-8.2.0.tar.gz 13666090 SHA256 a6f136c59a6b1c0789ea1692b7429a56e4fc3272a6e5079c08cdb3f5e24f982c SHA512 040056258f2c00d0ebae044011e851ab120432298dccda63a4853653c8c0839b7562e71a7ac37513d71f4eff319f57a61ed7189c564a9ba2936870266ac0470f WHIRLPOOL bcb1e0f478bb7baaa492b78e1d0062d84faef275cd0e82b1889867d6f6e49658fd6da5ec2ead8038f224562877166f778408e4462bb262038de4e2c7e95fe6ec
DIST dealii-8.2.1-offline_documentation.tar.gz 98861605 SHA256 4622e8ef96c5105dc9cf6e35c54a6fd072956235320646c4f53b5def7748b2fd SHA512 721d963991d53f2c23010f6c398cddd9e058385375a3a77245fbe95b10dbfe1a452d1c2ead2cb8d8a0174b0b2262ed40832f100a545af49dc923d19f42e8e283 WHIRLPOOL 5a1d070d8336c9d9a3a582a73457fa1831f737ecd5def1787bcbffef30f718eef03c57c58ea80e79d6735b73d6f8c83d498a366f002fa5078ef51c71af74b2f9
DIST dealii-8.2.1.tar.gz 13667634 SHA256 d75674e45fe63cd9fa294460fe45228904d51a68f744dbb99cd7b60720f3b2a0 SHA512 9cd3ed9a4330aa7464ecfe92677fcddae0aadcca7885c898eb8a746caa30fff587ccf5614cec61ffb6b27280c94b423d6370661a1791c601d7abce163502daeb WHIRLPOOL d7b86adcf7dc5dddf63aac4d37be6512aff9889279eb58f9d79cbc5d0c467a1ba50892a08495057f20a3352767f88a42bff7d82f9ba2b5567b02511cb806b7f5
+DIST dealii-8.3.0-offline_documentation.tar.gz 152228920 SHA256 474b1b64a392b1a77b3e628b4c5f83099ed3b4cd5bc87966454645607f2f3851 SHA512 f3ba395204b18b9b8a0e5a1ea0d59260f3ed556d866820c78ed52d9fd16cc4702870eec9bfa0a3e6996696256f6d371d88a9642392eab135291f6a2411038c48 WHIRLPOOL aabcb6b951f1331fbf1cc0cef3f9dc92f8f4c08698f6ddbafff9b5a59d4344bab75346d353cb9b4582e8233230598501d13eecfa021a52e5692fcd3849581ba0
+DIST dealii-8.3.0.tar.gz 13756656 SHA256 4ddf72632eb501e1c814e299f32fc04fd680d6fda9daff58be4209e400e41779 SHA512 bc8aa46e91d3ae600cda8e0069a41a8172845d4e2026c05d361fc47a2780365a1510edbfd04a94a6b509e30b8c153ff41c0abd46403cba1ef134e6898b1f53ca WHIRLPOOL db350cfd43f84405d9fc297299b6015aac5c40ddc8a55991e0f42a3ea0b0375162320c024b7b2441ebf562509149a7c9154cb10ace3c70548aed30c66399d82f
diff --git a/sci-libs/dealii/dealii-8.3.0.ebuild b/sci-libs/dealii/dealii-8.3.0.ebuild
new file mode 100644
index 000000000..f2617a759
--- /dev/null
+++ b/sci-libs/dealii/dealii-8.3.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit cmake-utils eutils multilib
+
+DESCRIPTION="Solving partial differential equations with the finite element method"
+HOMEPAGE="http://www.dealii.org/"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://github.com/dealii/dealii.git"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ MY_PV="${PV//0_rc/rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://github.com/dealii/dealii/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
+ doc? (
+ https://github.com/${PN}/${PN}/releases/download/v${MY_PV}/${MY_P}-offline_documentation.tar.gz
+ -> ${P}-offline_documentation.tar.gz
+ http://ganymed.iwr.uni-heidelberg.de/~maier/dealii/releases/${MY_P}-offline_documentation.tar.gz
+ -> ${P}-offline_documentation.tar.gz
+ )"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="
+ arpack cpu_flags_x86_avx cpu_flags_x86_sse2 c++11 +debug doc +examples
+ hdf5 +lapack mesh_converter metis mpi muparser opencascade
+ netcdf p4est parameter_gui petsc +sparse static-libs +tbb trilinos
+"
+
+# TODO: add slepc use flag once slepc is packaged for gentoo-science
+REQUIRED_USE="
+ p4est? ( mpi )
+ trilinos? ( mpi )"
+
+RDEPEND="dev-libs/boost
+ app-arch/bzip2
+ sys-libs/zlib
+ arpack? ( sci-libs/arpack[mpi=] )
+ hdf5? ( sci-libs/hdf5[mpi=] )
+ lapack? ( virtual/lapack )
+ metis? ( >=sci-libs/parmetis-4 )
+ mpi? ( virtual/mpi )
+ muparser? ( dev-cpp/muParser )
+ netcdf? ( sci-libs/netcdf-cxx:0 )
+ opencascade? ( sci-libs/opencascade:* )
+ p4est? ( sci-libs/p4est[mpi] )
+ parameter_gui? ( dev-qt/qtgui:4 )
+ petsc? ( sci-mathematics/petsc[mpi=] )
+ sparse? ( sci-libs/umfpack )
+ tbb? ( dev-cpp/tbb )
+ trilinos? ( sci-libs/trilinos )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen[dot] dev-lang/perl )"
+
+src_configure() {
+ # deal.II needs a custom build type:
+ local CMAKE_BUILD_TYPE=$(usex debug DebugRelease Release)
+
+ local mycmakeargs=(
+ -DDEAL_II_PACKAGE_VERSION=9999
+ -DDEAL_II_ALLOW_AUTODETECTION=OFF
+ -DDEAL_II_ALLOW_BUNDLED=OFF
+ -DDEAL_II_ALLOW_PLATFORM_INTROSPECTION=OFF
+ -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF
+ -DDEAL_II_LIBRARY_RELDIR="$(get_libdir)"
+ -DDEAL_II_SHARE_RELDIR="share/${PN}"
+ -DDEAL_II_DOCREADME_RELDIR="share/doc/${P}"
+ -DDEAL_II_EXAMPLES_RELDIR="share/doc/${P}/examples"
+ -DDEAL_II_WITH_BZIP2=ON
+ -DDEAL_II_WITH_ZLIB=ON
+ $(cmake-utils_use arpack DEAL_II_WITH_ARPACK)
+ $(cmake-utils_use c++11 DEAL_II_WITH_CXX11)
+ $(cmake-utils_use cpu_flags_x86_avx DEAL_II_HAVE_AVX)
+ $(cmake-utils_use cpu_flags_x86_sse2 DEAL_II_HAVE_SSE2)
+ $(cmake-utils_use doc DEAL_II_COMPONENT_DOCUMENTATION)
+ $(cmake-utils_use examples DEAL_II_COMPONENT_EXAMPLES)
+ $(cmake-utils_use hdf5 DEAL_II_WITH_HDF5)
+ $(cmake-utils_use lapack DEAL_II_WITH_LAPACK)
+ $(cmake-utils_use mesh_converter DEAL_II_COMPONENT_MESH_CONVERTER)
+ $(cmake-utils_use metis DEAL_II_WITH_METIS)
+ $(cmake-utils_use mpi DEAL_II_WITH_MPI)
+ $(cmake-utils_use muparser DEAL_II_WITH_MUPARSER)
+ $(cmake-utils_use netcdf DEAL_II_WITH_NETCDF)
+ -DOPENCASCADE_DIR="${CASROOT}"
+ $(cmake-utils_use opencascade DEAL_II_WITH_OPENCASCADE)
+ $(cmake-utils_use p4est DEAL_II_WITH_P4EST)
+ $(cmake-utils_use parameter_gui DEAL_II_COMPONENT_PARAMETER_GUI)
+ $(cmake-utils_use petsc DEAL_II_WITH_PETSC)
+ $(cmake-utils_use sparse DEAL_II_WITH_UMFPACK)
+ $(cmake-utils_use !static-libs BUILD_SHARED_LIBS)
+ $(cmake-utils_use static-libs DEAL_II_PREFER_STATIC_LIBS)
+ $(cmake-utils_use tbb DEAL_II_WITH_THREADS)
+ $(cmake-utils_use trilinos DEAL_II_WITH_TRILINOS)
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ if use doc && [[ ${PV} != *9999* ]]; then
+ # copy missing images to the build directory:
+ cp -r "${WORKDIR}"/doc/doxygen/deal.II/images \
+ "${BUILD_DIR}"/doc/doxygen/deal.II || die
+ # replace links:
+ sed -i \
+ 's#"http://www.dealii.org/images/steps/developer/\(step-.*\)"#"images/\1"#g' \
+ "${BUILD_DIR}"/doc/doxygen/deal.II/step_*.html || die "sed failed"
+ fi
+ cmake-utils_src_install
+
+ # decompress the installed example sources:
+ use examples && docompress -x /usr/share/doc/${PF}/examples
+}